Subject: I have to reboot to get mailman restarted

From: Pieter Laeremans <[email-masked]>
Date: Mon, 15 Dec 2003 01:29:43 +0100

Package: mailman
Version: 2.1.3-1
Severity: normal

When I changed a configuration setting in mailman.  And wanted it to
restart in order to let it take effect.  It stopped, but whatever I did
it didn't want to restart.

regards,

Pieter

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux laeremans.org 2.4.22-physmem-brkpatch-5um #21 Wed Dec 3 12:12:28 GMT 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages mailman depends on:
ii  apache2-mpm-worker [httpd]  2.0.47-1     High speed threaded model for Apac
ii  cron                        3.0pl1-81    management of regular background p
ii  debconf                     1.3.20       Debian configuration management sy
ii  exim4-daemon-heavy [mail-tr 4.22-5       Exim (v4) with extended features, 
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an
ii  logrotate                   3.6.5-2      Log rotation utility
ii  pwgen                       2.03-1       Automatic Password generation
ii  python                      2.3.2-2      An interactive high-level object-o
ii  ucf                         0.26         Update Configuration File: preserv

-- debconf information:
* mailman/gate_news: yes
* mailman/create_site_list:

---

From: Tollef Fog Heen <[email-masked]>
Date: Mon, 15 Dec 2003 17:51:05 +0100

* Pieter Laeremans 

| When I changed a configuration setting in mailman.  And wanted it to
| restart in order to let it take effect.  It stopped, but whatever I did
| it didn't want to restart.

You need to provide a bit more information on what's happening, some
log excerps or something, else I'll just have to close this bug due to
insufficent information.

-- 
Tollef Fog Heen                                                        ,''`.
UNIX is user friendly, it's just picky about who its friends are      : :' :
                                                                      `. `' 
                                                                        `-

---

From: Pieter Laeremans <[email-masked]>
Date: Mon, 15 Dec 2003 21:15:08 +0100

> log excerps or something, else I'll just have to close this bug due to

Oke.

Here is the log from qrunner.

Dec 15 00:31:56 2003 (356) Master watcher caught SIGTERM.  Exiting.
Dec 15 00:32:00 2003 (356) Master qrunner detected subprocess exit
(pid: 370, sig: None, sts: 15, class: OutgoingRunner, slice: 1/1) 
Dec 15 00:32:01 2003 (356) Master qrunner detected subprocess exit
(pid: 359, sig: None, sts: 15, class: ArchRunner, slice: 1/1) 
Dec 15 00:32:01 2003 (356) Master qrunner detected subprocess exit
(pid: 366, sig: None, sts: 15, class: IncomingRunner, slice: 1/1) 
Dec 15 00:32:01 2003 (356) Master qrunner detected subprocess exit
(pid: 369, sig: None, sts: 15, class: NewsRunner, slice: 1/1) 
Dec 15 00:32:01 2003 (356) Master qrunner detected subprocess exit
(pid: 371, sig: None, sts: 15, class: VirginRunner, slice: 1/1) 
Dec 15 00:32:02 2003 (356) Master qrunner detected subprocess exit
(pid: 372, sig: None, sts: 15, class: RetryRunner, slice: 1/1) 
Dec 15 00:32:02 2003 (356) Master qrunner detected subprocess exit
(pid: 360, sig: None, sts: 15, class: BounceRunner, slice: 1/1) 
Dec 15 00:32:02 2003 (356) Master qrunner detected subprocess exit
(pid: 365, sig: None, sts: 15, class: CommandRunner, slice: 1/1) 
Dec 15 00:46:53 2003 (361) ArchRunner qrunner started.
Dec 15 00:46:53 2003 (362) BounceRunner qrunner started.
Dec 15 00:46:53 2003 (364) CommandRunner qrunner started.
Dec 15 00:46:54 2003 (365) IncomingRunner qrunner started.
Dec 15 00:46:54 2003 (366) NewsRunner qrunner started.
Dec 15 00:46:55 2003 (371) OutgoingRunner qrunner started.
Dec 15 00:46:55 2003 (372) VirginRunner qrunner started.
Dec 15 00:46:55 2003 (373) RetryRunner qrunner started.

Log extract from "error"

Dec 15 00:31:55 2003 mailmanctl(12777): The master qrunner lock could not be acquired because it appears as if another
master qrunner is already running.
Dec 15 00:31:55 2003 mailmanctl(12777): 
Dec 15 00:32:08 2003 mailmanctl(12779): No child with pid: 356 
Dec 15 00:32:08 2003 mailmanctl(12779): [Errno 3] No such process 
Dec 15 00:32:08 2003 mailmanctl(12779): Stale pid file removed. 
Dec 15 00:46:08 2003 mailmanctl(12892): PID unreadable in: /var/lib/mailman/data/master-qrunner.pid 
Dec 15 00:46:08 2003 mailmanctl(12892): [Errno 2] No such file or directory: '/var/lib/mailman/data/master-qrunner.pid' 
Dec 15 00:46:08 2003 mailmanctl(12892): Is qrunner even running? 

--------------------------

Are there more logs you would like to see ?  

I can try to reproduce the bug, but the thing is I've got some
production low traffic lists running on the system, so I would have to
do that on an appropriate moment.

Thank you for your great work.

kind regards,

Pieter